#include <bits/stdc++.h>
using namespace std;

int redovi[200001] = {0};
int kolone[200001] = {0};


int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(NULL);
    int n;
    cin >> n;
    int p1, p2;
    for(int i = 0; i < n; i++)
    {
        cin >> p1 >> p2;
        redovi[p1]++;
        kolone[p2]++;
    }
    queue<int> prazni;
    queue<int> puni;
    long long res = 0;
    for(int i = 1; i <= n; i++)
    {
        if(redovi[i] == 0)
        {
            prazni.push(i);
        }
        else
        {
            for(int j = 0; j < redovi[i] - 1; j++)
                puni.push(i);
        }
        while(!puni.empty() && !prazni.empty())
        {
            res += abs(puni.front() - prazni.front());
            puni.pop();
            prazni.pop();
        }
    }
    //cout << res;
    for(int i = 1; i <= n; i++)
    {
        if(kolone[i] == 0)
        {
            prazni.push(i);
        }
        else
        {
            for(int j = 0; j < kolone[i] - 1; j++)
                puni.push(i);
        }
        while(!puni.empty() && !prazni.empty())
        {
            res += abs(puni.front() - prazni.front());
            puni.pop();
            prazni.pop();
        }
    }
    cout << res;


}